StarItemPool Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
StarItemPool Class Reference

the main class to read/. More...

`#include <StarItemPool.hxx>`

## Public Types
enum | Type { T_ChartPool, T_EditEnginePool, T_SpreadsheetPool, T_VCControlPool, T_WriterPool, T_XOutdevPool, T_Unknown }
| the known item pool More...

## Public Member Functions
| StarItemPool (StarObject &document, Type type)
| constructor More...
virtual | ~StarItemPool ()
| destructor More...
void | clean ()
| clean the pool's list of attributes, ... More...
void | addSecondaryPool (shared_ptr< StarItemPool > secondary)
| add a secondary pool More...
bool | isSecondaryPool () const
| returns true if a pool is a secondary pool More...
bool | read (StarZone &zone)
| try to read a "ItemPool" zone More...
int | getVersion () const
| returns the pool version More...
Type | getType () const
| returns the pool type More...
bool | isInside () const
| returns true if we are reading the pool More...
bool | readStyles (StarZone &zone, StarObject &doc)
| try to read the styles, ie a "StyleItemPool" zone More...
void | updateStyles ()
| try to update the style More...
void | updateUsingStyles (StarItemSet &itemSet) const
| update a itemset by adding attribute corresponding to its styles More...
void | defineGraphicStyles (STOFFListenerPtr listener) const
| define all graphic styles More...
void | defineGraphicStyle (STOFFListenerPtr listener, librevenge::RVNGString const &styleName) const
| define a graphic style More...
StarItemStyle const * | findStyleWithFamily (librevenge::RVNGString const &style, int family) const
| try to find a style with a name and a family style More...
shared_ptr< StarAttribute > | readAttribute (StarZone &zone, int which, int vers, long endPos)
| try to read an attribute More...
shared_ptr< StarItem > | readItem (StarZone &zone, bool isDirect, long endPos)
| read a item More...
shared_ptr< StarItem > | loadSurrogate (StarZone &zone, uint16_t &nWhich, bool localId, libstoff::DebugStream &f)
| try to load a surrogate More...
bool | loadSurrogate (StarItem &item)
| try to load a surrogate More...

## Protected Member Functions
void | defineGraphicStyle (STOFFListenerPtr listener, librevenge::RVNGString const &styleName, std::set< librevenge::RVNGString > &done) const
| define a graphic style More...
bool | readV1 (StarZone &zone, StarItemPool *master)
| try to read a "ItemPool" zone (version 1) More...
bool | readV2 (StarZone &zone, StarItemPool *master)
| try to read a "ItemPool" zone (version 2) More...
shared_ptr< StarItem > | createItem (int which, int surrogateId, bool localId)
| create an item for futher reading More...

## Private Attributes
bool | m_isInside
| true if the pool is open More...
shared_ptr< StarItemPoolInternal::State > | m_state
| the state More...

## Friends
struct | StarItemPoolInternal::State

## Detailed Description

the main class to read/.

. some basic StarOffice SfxItemItemPool itemPools

## Member Enumeration Documentation

enum StarItemPool::Type

the known item pool

Enumerator
T_ChartPool |
T_EditEnginePool |
T_SpreadsheetPool |
T_VCControlPool |
T_WriterPool |
T_XOutdevPool |
T_Unknown |

## Constructor & Destructor Documentation

StarItemPool::StarItemPool | ( | StarObject & | document,
|  | StarItemPool::Type | type
| ) |  |

constructor

StarItemPool::~StarItemPool | ( |  | ) |
| virtual

destructor

## Member Function Documentation

void StarItemPool::addSecondaryPool | ( | shared_ptr< StarItemPool > | secondary | ) |

add a secondary pool

void StarItemPool::clean | ( |  | ) |

clean the pool's list of attributes, ...

shared_ptr< StarItem > StarItemPool::createItem | ( | int | which,
|  | int | surrogateId,
|  | bool | localId
| ) |  |
| protected

create an item for futher reading

Referenced by loadSurrogate().

void StarItemPool::defineGraphicStyle | ( | STOFFListenerPtr | listener,
|  | librevenge::RVNGString const & | styleName
| ) |  | const
| inline

define a graphic style

Referenced by defineGraphicStyle(), and defineGraphicStyles().

void StarItemPool::defineGraphicStyle | ( | STOFFListenerPtr | listener,
|  | librevenge::RVNGString const & | styleName,
|  | std::set< librevenge::RVNGString > & | done
| ) |  | const
| protected

define a graphic style

void StarItemPool::defineGraphicStyles | ( | STOFFListenerPtr | listener | ) | const

define all graphic styles

StarItemStyle const * StarItemPool::findStyleWithFamily | ( | librevenge::RVNGString const & | style,
|  | int | family
| ) |  | const

try to find a style with a name and a family style

Referenced by defineGraphicStyle(), and updateUsingStyles().

StarItemPool::Type StarItemPool::getType | ( |  | ) | const

returns the pool type

int StarItemPool::getVersion | ( |  | ) | const

returns the pool version

bool StarItemPool::isInside | ( |  | ) | const
| inline

returns true if we are reading the pool

Referenced by loadSurrogate().

bool StarItemPool::isSecondaryPool | ( |  | ) | const

returns true if a pool is a secondary pool

shared_ptr< StarItem > StarItemPool::loadSurrogate | ( | StarZone & | zone,
|  | uint16_t & | nWhich,
|  | bool | localId,
|  | libstoff::DebugStream & | f
| ) |  |

try to load a surrogate

Referenced by read(), and readItem().

bool StarItemPool::loadSurrogate | ( | StarItem & | item | ) |

try to load a surrogate

bool StarItemPool::read | ( | StarZone & | zone | ) |

try to read a "ItemPool" zone

shared_ptr< StarAttribute > StarItemPool::readAttribute | ( | StarZone & | zone,
|  | int | which,
|  | int | vers,
|  | long | endPos
| ) |  |

try to read an attribute

Referenced by readItem(), readV1(), and readV2().

shared_ptr< StarItem > StarItemPool::readItem | ( | StarZone & | zone,
|  | bool | isDirect,
|  | long | endPos
| ) |  |

read a item

Referenced by StarObject::readItemSet().

bool StarItemPool::readStyles | ( | StarZone & | zone,
|  | StarObject & | doc
| ) |  |

try to read the styles, ie a "StyleItemPool" zone

bool StarItemPool::readV1 | ( | StarZone & | zone,
|  | StarItemPool * | master
| ) |  |
| protected

try to read a "ItemPool" zone (version 1)

bool StarItemPool::readV2 | ( | StarZone & | zone,
|  | StarItemPool * | master
| ) |  |
| protected

try to read a "ItemPool" zone (version 2)

void StarItemPool::updateStyles | ( |  | ) |

try to update the style

Note
  must be called after all styles have been updated

void StarItemPool::updateUsingStyles | ( | StarItemSet & | itemSet | ) | const

update a itemset by adding attribute corresponding to its styles

Referenced by StarAttributeItemSet::addTo().

## Friends And Related Function Documentation

friend struct StarItemPoolInternal::State
| friend

## Member Data Documentation

bool StarItemPool::m_isInside
| private

true if the pool is open

Referenced by read().

shared_ptr<StarItemPoolInternal::State> StarItemPool::m_state
| private

the state

Referenced by addSecondaryPool(), clean(), createItem(), defineGraphicStyles(), findStyleWithFamily(), getType(), getVersion(), isSecondaryPool(), loadSurrogate(), read(), readAttribute(), readItem(), readStyles(), readV1(), readV2(), and updateStyles().

The documentation for this class was generated from the following files:

- StarItemPool.hxx
- StarItemPool.cxx